Subject: Re: linux-next: build failure after merge of the drivers-x86 tree

From: Ike Panhc <[email-masked]>
Date: Wed, 06 Oct 2010 18:45:11 +0800

Hi,

Sorry for the inconvenient.

I update the patches and push to
  git://kernel.ubuntu.com/ikepanhc/ideapad-laptop.git for-upstream

Just test build and install on ideapad I have. It works fine.

On 10/05/2010 12:11 PM, Stephen Rothwell wrote:
> Hi Matthew,
> 
> After merging the drivers-x86 tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> make[4]: *** No rule to make target `drivers/platform/x86/ideapad_laptop.c', needed by `drivers/platform/x86/ideapad_laptop.o'.  Stop.
> 
> Caused by commit 9efe5c1540a1e03cb2e0fca85e49fc4c57c6e771 ("ideapad:
> Change the driver name to ideapad-laptop").  The commit renames
> ideapad_acpi.c to ideapad-laptop.c but the Makefile uses ideapad_laptop.o
> (note underscore v. dash).
> 
> Presumably this was never even build tested :-(
> 
> I have used the drivers-x86 tree from next-20101004 for today.